var act = 1;
var max = appConfig.slides.length+appConfig.general.slideDrawStart;
var nav = 0;
var menu = act;
var animate = 0;

$(document).ready(function(){
    $('.preloader').hide();
    orginalW = $('.containter').width();
    orginalH = $('.containter').height();
    resizeContainer();
    $(window).resize(resizeContainer);

    guiAltComplete();

    drawSlides();
    resizeContainer();


    nawigacja();
    guiAltComplete();

    $('.slides .btn-next, .slides .next').click(function(){
        var dest=act+1;
        if(dest>max) { dest=max; }
        makeScreen(dest);
    });

    $('.slides .btn-prev').click(function(){
        var dest=act-1;
        if(dest<1) { dest=1; }
        makeScreen(dest);
    });

    $('.nav .btn-next').click(function(){
        var dest=menu+1;
        if(dest+5>max) { dest=max-4; }
        menu = dest;
        drawNav();
    });

    $('.nav .btn-prev').click(function(){
        var dest=menu-1;
        if(dest<1) { dest=1; }
        menu = dest;
        drawNav();
    });

    $('.link-to').click(function(){
        var dest = $(this).data().id;
        makeScreen(dest);
    });

    $('.slides .back').click(function(e){
        e.preventDefault();
        var dest = 1;
        makeScreen(dest);
    });

    $('.btn-help').click(function(){
        $('.tutorial').show();
    });
    $('.tutorial, body').click(function(e){
        if(e.target==$('body')[0] || e.target==$('.tutorial')[0]) {
            $('.tutorial').hide();
        }

    });
});

function drawSlides() {
    for(var i=0;i<appConfig.slides.length;i++) {
        if(appConfig.slides[i].type=='image') {
            $('.draw').append('<div class="sl-img slide-'+(appConfig.general.slideDrawStart+i)+'"><img src="assets/images/'+appConfig.slides[i].img+'" alt="'+appConfig.slides[i].alt+'" class="slide"><p alt="'+appConfig.slides[i].title+'">'+appConfig.slides[i].title+'</p></div>');
        } else if (appConfig.slides[i].type=='text') {
            var html='';
            for(var n=0;n<appConfig.slides[i].text.length;n++) {
                html+='<p>'+appConfig.slides[i].text[n]+'</p>';
            }
            $('.draw').append('<div class="sl-text slide-'+(appConfig.general.slideDrawStart+i)+'">'+html+'</div>');
        }
    }
    $('.last').addClass('slide-'+(appConfig.slides.length+appConfig.general.slideDrawStart));
}

function guiAltComplete() {
    $('head title').text(appConfig.general.naglowek.replace("<br>",""));

    $('.header h1').html(appConfig.general.naglowek).attr('alt',appConfig.general.naglowek);
    $('.nav .btn-prev').attr('alt',guiConfig.prezentacja.sideNav.leftArrow);
    $('.nav > img').attr('alt',guiConfig.prezentacja.sideNav.dropDown);

    $('.slides .btn-prev').attr('alt',guiConfig.prezentacja.leftArrow);
    $('.slides .btn-next').attr('alt',guiConfig.prezentacja.rightArrow);

    $('.slide-1 img').attr('alt',guiConfig.prezentacja.startBtn);

    $('.last h1').html(guiConfig.prezentacja.koniecTitle).attr('alt',guiConfig.prezentacja.koniecTitle.replace("<br>",""));
    $('.last .back').attr('alt',guiConfig.prezentacja.poczatekBtn);
	$('.f2 .btn-help').attr('alt',guiConfig.prezentacja.helperBtn);

    $('.f1 .logo-1').attr('alt',guiConfig.logos.logo1);
    $('.f1 .logo-2').attr('alt',guiConfig.logos.logo2);
    $('.f1 .logo-3').attr('alt',guiConfig.logos.logo3);
    $('.f1 .logo-4').attr('alt',guiConfig.logos.logo4);
}

function drawNav() {
    $('.numbers').html('');
    var count = 5;
    var min=menu;
    for(var i=0;i<count;i++) {
        $('.numbers').append('<a class="to-'+(min+i)+'" href="#'+(min+i)+'" alt="'+guiConfig.prezentacja.sideNav.numbers+(min+i)+'">'+(min+i)+'</a>');
    }
    $('.numbers a').css({
        'font-size':(scale*40)+'px'
    });
    $('.numbers a').removeClass('active');
    $('.numbers a.to-'+act).addClass('active');
    $('.numbers a').click(function(e){
        e.preventDefault();
        var dest = parseInt($(this).attr('href').substr(1));
        makeScreen(dest);
    });
}

function makeScreen(number) {
    if(act!=number && !animate) {
        animate=1;
        $('.slide-'+act).fadeOut(300,function(){
            act=number;

            menu=act-2;
            if(menu<1) { menu=1; }
            if(max-act<2) { menu=max-4; }

            drawNav();

            appConfig.specialCases();
            $('.slide-'+act).fadeIn(300,function(){
                animate=0;
            });
        });
    }
}

function nawigacja() {
    $('.nav > img').click(function(){
        if(!animate) {
            if(nav==0) {
                nav=1;
                animate=1;
                $('.nav').animate({
                    'top':0
                },function(){
                    animate=0;
                    $('.nav > img').attr('src','assets/images/strzalka_dropup.png').attr('alt',guiConfig.prezentacja.sideNav.dropUp);
                });
            } else {
                nav=0;
                animate=1;
                $('.nav').animate({
                    'top':'-9%'
                },function(){
                    animate=0;
                    $('.nav > img').attr('src','assets/images/strzalka_dropdown.png').attr('alt',guiConfig.prezentacja.sideNav.dropDown);
                });
            }
        }

    });
    drawNav();
}

function resizeContainer() {
    var screenW = $(window).width();
    var screenH = $(window).height();


    var strUserAgent = navigator.userAgent.toLowerCase();
    var arrMatches = strUserAgent.match(/(iphone|ipod|ipad)/);

    if(arrMatches) {
        if (Math.abs(window.orientation) === 90) {
            if(screen.width==768) {
                screenW=1024;
                screenH=980;
            } else {
                screenW=2048;
                screenH=1960;
            }

        } else {
            if(screen.width==768) {
                screenW=980;
                screenH=1024;
            } else {
                screenW=1960;
                screenH=2048;
            }
        }
    }

    var screenR = screenW/screenH;

    var orginalR = orginalW/orginalH;

    var w = 0,
        h = 0;

    if(screenR<orginalR) {
        w = screenW;
        h = screenW*orginalH/orginalW;
        scale = screenW/orginalW;
    } else {
        h = screenH;
        w = screenH*orginalW/orginalH;
        scale = screenH/orginalH;
    }

    $('.containter').css({
        'width':w+'px',
        'height':h+'px'
    });
    $('.sl-img p').css({
        'font-size':(scale*40)+'px'
    });
    $('.sl-text p').css({
        'font-size':(scale*30)+'px',
        'line-height':(scale*40)+'px'
    });

    $.each($('.sl-text'),function(k,v) {
        var mh = $(v).height();
        $(v).css({
            'top':((h-mh)/2)+'px'
        })
    });
    $.each($('.preloader p'),function(k,v) {
        var mh = $(v).height();
        $(v).css({
            'margin-top':((h-mh)/2)+'px'
        })
    });

    $('.preloader p').css({
        'font-size':(scale*40)+'px'
    });


    $('.numbers a').css({
        'font-size':(scale*40)+'px'
    });
    $('.last h1').css({
        'font-size':(scale*75)+'px'
    });
    $('.header h1').css({
        'font-size':(scale*60)+'px'
    });

    $('.footer p').css({
        'font-size':(scale*22)+'px'
    });

    if(w<400) {
        $('.numbers').css({
            'margin':'0 auto 7% auto'
        });
        $('.numbers a').css({
            'margin':'0 0.1%'
        });
    } else {
        $('.numbers').css({
            'margin':'7% auto'
        });
        $('.numbers a').css({
            'margin':'0 1%'
        });
    }

}